Name:    blockstream-satellite
Version: 2.5.1
Release: 1%{?dist}
Summary: Utility applications for Blockstream Satellite receivers

License: GPLv3
URL:     https://github.com/Blockstream/satellite/
Source0: %{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  help2man
BuildRequires:  bash-completion
BuildRequires:  python3-shtab
BuildRequires:  systemd
BuildRequires:  dnf
# dnf is required for the CLI/GUI update unit tests
BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-qt
BuildRequires:  python3-pytest-xvfb
BuildRequires:  python3-pytest-xvfb
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel
BuildRequires:  python3-dbus
Recommends:     python3-dbus

%description
Provides the command-line interface (CLI) and graphical user interface (GUI)
for configuring, running, and monitoring Blockstream Satellite receivers.

%prep
%autosetup -p1 -n %{name}-%{version}
# NOTE: there is not python3-pysnmplib package, only python3-pysnmp.
# Override the dependency directly on the setup.py to ensure the
# build-requires generator adds the right dependency.
sed -i 's/pysnmplib/pysnmp/g' setup.py
# Use a less restrictive pyside6 requirement on Python < 3.13
sed -i 's/pyside6==6.7.3/pyside6>=6.7.3/g' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
make manpage
make completion
%pyproject_wheel

%install
%pyproject_install
install -D -pm 644 blocksat-cli.1 %{buildroot}%{_mandir}/man1/blocksat-cli.1
install -D -pm 644 blocksat-cli.bash-completion %{buildroot}%{_datadir}/bash-completion/completions/blocksat-cli
install -D -pm 644 blocksatgui/config/com.blockstream.satellite.conf %{buildroot}%{_datadir}/dbus-1/system.d/com.blockstream.satellite.conf
install -D -pm 644 blocksatgui/config/com.blockstream.satellite.policy %{buildroot}%{_datadir}/polkit-1/actions/com.blockstream.satellite.policy
install -D -pm 644 blocksatgui/config/blocksatd.service %{buildroot}%{_unitdir}/blocksatd.service

%pyproject_save_files blocksatcli blocksatgui

%check
%pyproject_check_import
%{python3} -m pytest -v

%files -n %{name} -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/blocksat-cli
%{_mandir}/man1/blocksat-cli.1*
%{_datadir}/bash-completion/completions/blocksat-cli
%{_bindir}/blocksat-gui
%{_bindir}/blocksatd
%{_datadir}/applications/blocksatgui.desktop
%{_datadir}/icons/blocksaticon.svg
%{_datadir}/dbus-1/system.d/com.blockstream.satellite.conf
%{_datadir}/polkit-1/actions/com.blockstream.satellite.policy
%{_unitdir}/blocksatd.service

%post
%systemd_post blocksatd.service

%preun
%systemd_preun blocksatd.service

%changelog
